import torch
import torch.nn as nn
import torch.nn.functional as F


B, C = 128, 512


class Softsign(nn.Module):
    def __init__(self):
        super().__init__()

    def forward(self, input: torch.Tensor) -> torch.Tensor:
        return input / (1.0 + torch.abs(input))


class Model(nn.Module):
    def __init__(self):
        super().__init__()
        self.op = Softsign()

    def forward(self, input: torch.Tensor) -> torch.Tensor:
        return self.op(input)


def get_inputs():
    input = torch.randn(B, C, dtype=torch.float32)
    return [input]


def get_init_inputs():
    return []